package com.ym.mec.auth.api.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_role_dept):
 */
public class SysRoleDept {

	/**  */
	private Integer id;
	
	/** 角色ID */
	@ApiModelProperty(value = "角色ID",required = false)
	private Integer roleId;
	
	/** 部门ID */
	@ApiModelProperty(value = "部门ID",required = false)
	private Integer deptId;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setRoleId(Integer roleId){
		this.roleId = roleId;
	}
	
	public Integer getRoleId(){
		return this.roleId;
	}
			
	public void setDeptId(Integer deptId){
		this.deptId = deptId;
	}
	
	public Integer getDeptId(){
		return this.deptId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
